package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserObjectMapper;
import com.sa.ibiz.demo.demo.domain.UserObject;
import com.sa.ibiz.demo.demo.service.UserObjectService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserObjectSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserObject] 服务对象接口实现
 */
@Service
public class UserObjectServiceImpl extends ServiceImplBase<UserObjectMapper, UserObject> implements UserObjectService{


    @Resource
    private UserObjectMapper userobjectMapper;


    @Override
    public boolean create(UserObject et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserObject et){
        this.beforeUpdate(et);
		this.userobjectMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserObject et){
		return et.getUserobjectid();  
    }

    @Override
    public boolean getDraft(UserObject et)  {
            return true;
    }

	public List<UserObject> listDefault(UserObjectSearchFilter filter) {
		return userobjectMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserObject> searchDefault(UserObjectSearchFilter filter) {
		return userobjectMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}


	public List<UserObject> listIndexDER(UserObjectSearchFilter filter) {
		return userobjectMapper.searchIndexDER(filter,filter.getSelectCond());
	}

	public Page<UserObject> searchIndexDER(UserObjectSearchFilter filter) {
		return userobjectMapper.searchIndexDER(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userobjectMapper.selectRow(sql);
    }

 }